INTERFACE
SUBROUTINE LARCINATL(&
 & KST,KPROF,KSTABUF,LDSLHD,LDSLHDQUAD,KTIP,KROT,LDPLANE,PLSDEPI,&
 & PCOLON,PSILON,PGEMU,PGSQM2,PGECLO,PGESLO,&
 & PCOSCO,PSINCO,PSINLA,PCOPHI,PLEV,&
 & PCOSCO5,PSINCO5,PSINLA5,PCOPHI5,PLEV5,&
 & PKAPPA,PKAPPA5,PURL0,PVRL0,PWRL0,PURL05,PVRL05,PWRL05,&
 & PLON,PLAT,PO,PQ,&
 & PUF0,PVF0,PWF0,&
 & PLON5,PLAT5,PO5,PQ5,&
 & KL0,KLH0,PDLO,PCLO,PCLOSLD,PDLAT,PCLA,PCLASLD,&
 & KLEV,PDVER,PVINTW,PVINTWSLD,&
 & PDLO5,PCLO5,PCLOSLD5,PDLAT5,PCLA5,PCLASLD5,PDVER5,PVINTW5,PVINTWSLD5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NFLSA ,NFLEN ,NDGSAH ,&
 & NDGENH ,NDLUNG ,NDLUXG ,NDGUXG ,NRLEVX 
USE YOMMP , ONLY : NASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KSTABUF(NDGSAH:NDGENH)
LOGICAL ,INTENT(IN) :: LDSLHD
LOGICAL ,INTENT(IN) :: LDSLHDQUAD
INTEGER(KIND=JPIM),INTENT(IN) :: KTIP
INTEGER(KIND=JPIM),INTENT(IN) :: KROT
LOGICAL ,INTENT(IN) :: LDPLANE
REAL(KIND=JPRB) ,INTENT(IN) :: PLSDEPI(NDGSAH:NDGENH)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOSCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSINCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSINLA(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOPHI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLEV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOSCO5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSINCO5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSINLA5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOPHI5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLEV5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PKAPPA(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PKAPPA5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PURL0(NASLB1,NFLSA:NFLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRL0(NASLB1,NFLSA:NFLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PWRL0(NASLB1,NFLSA:NFLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PURL05(NASLB1,NFLSA:NFLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRL05(NASLB1,NFLSA:NFLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PWRL05(NASLB1,NFLSA:NFLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQ(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUF0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVF0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWF0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PO5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQ5(NPROMA,NFLEVG)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KL0(NPROMA,NFLEVG,0:3)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KLH0(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLO(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLO(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLOSLD(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLA(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLASLD(NPROMA,NFLEVG,3)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KLEV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDVER(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTW(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTWSLD(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLO5(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLO5(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLOSLD5(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLAT5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLA5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLASLD5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDVER5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTW5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTWSLD5(NPROMA,NFLEVG,3)
END SUBROUTINE LARCINATL
END INTERFACE
